# LogRedirectionStrategy

Package

## Enum LogRedirectionStrategy

- All Implemented Interfaces:
    `java.io.Serializable` , `java.lang.Comparable`

      public enum LogRedirectionStrategy

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS_PRINT_LOGS` |
    `PRINT_LOGS_WHEN_NO_CALLBACKS_DEFINED` |
    `PRINT_LOGS_WHEN_GLOBAL_CALLBACK_NOT_DEFINED` |
    `PRINT_LOGS_WHEN_SESSION_CALLBACK_NOT_DEFINED` |
    `NEVER_PRINT_LOGS` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static Array<LogRedirectionStrategy>` | `values()` |
    `static LogRedirectionStrategy` | `valueOf(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### values

           static Array<LogRedirectionStrategy> values()

    - #### valueOf

           static LogRedirectionStrategy valueOf(String name)